---
sidebar_position: 1
description: Get bot information and other functions to work with Slack in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Slack]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get bot information
 Gets basic information about the bot



`Function GetBotInformation(Val Token) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Slack



```bsl title="1C:Enterprise/OneScript code example"
    Token  = "xoxb-6965308400114-696804637...";
    Result = OPI_Slack.GetBotInformation(Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint slack GetBotInformation \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint slack GetBotInformation ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true,
 "url": "https://openintegrationsgroup.slack.com/",
 "team": "OpenIntegrations",
 "user": "openintegrations",
 "team_id": "T06UD92BS3C",
 "user_id": "U06UG1CAYH2",
 "bot_id": "B06TZ0MJV5M",
 "is_enterprise_install": false
}
```
